%define name    ldapsdk
%define version 4.17
%define release 1jpp
%define section free

Summary:        Enables applications to manage information stored in an LDAP directory
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          1
Group:          Development/Libraries/Java
License:        NPL
URL:            http://www.mozilla.org/directory/
Source0:        ftp://ftp.mozilla.org/pub/directory/java-sdk/ldapsdk_java_20020819.tar.gz
Source1:	%{name}-build.xml
# FIXME: A jpackage must be created for the
# Mozilla Network Security Services for Java (JSS)
Source2:	jss34.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  oro

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n mozilla
for dir in `find . -type d -name CVS`; do rm -rf $dir; done

%build
pushd directory/java-sdk
install -m 644 %{SOURCE1} build.xml
mkdir src
cp -pfr ldapbeans/netscape/ ldapfilter/netscape/ ldapjdk/netscape/ ldapsp/com/ src
rm -rf ldapbeans/netscape/ ldapfilter/netscape/ ldapjdk/netscape/ ldapsp/com/
find . -name "*.java" -exec perl -p -i -e 's|com.oroinc|org.apache.oro|g;' {} \;
# FIXME: A jpackage must be created for this
cp %{SOURCE2} .
export CLASSPATH=jss34.jar:%(build-classpath oro)
ant
popd

%install
# jar
pushd directory/java-sdk
install -d $RPM_BUILD_ROOT%{_javadir}
install build/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc directory/buildjsdk.txt directory/java-sdk/{ldapsp-relnotes.htm,relnotes.htm}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sat Aug 21 2004 Fernando Nasser <fnasser@redhat.com> 1:4.17-1jpp
- Update to 4.17
- Raise Epoch to 1 so it is newer than the dated version
- Included as a temporary fix the required Mozzilla JSS jar file
- Built with Ant 1.6.2

* Sat May 10 2003 David Walluck <david@anti-microsoft.org> 0:20000505-1jpp
- release
